Bug 1069885 - [GSS] (6.3.0) SecureIdentityLoginModule (and ConfiguredIdentityLoginModule) results are not cached by the JAAS cache
Summary: [GSS] (6.3.0) SecureIdentityLoginModule (and ConfiguredIdentityLoginModule) r...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: EAP 6.3.0
Assignee: Derek Horton
QA Contact: Josef Cacek
Russell Dickenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1069886
TreeView+ depends on / blocked
 
Reported: 2014-02-25 20:55 UTC by Derek Horton
Modified: 2018-12-05 17:25 UTC (History)
5 users (show)

(edit)
In previous versions of JBoss EAP 6 performance issues were encountered when using the `SecureIdentityLoginModule` not caching encrypted datasource passwords. This was caused by JAAS cache not allowing the cache key to be null when the application using the datasource was not secured.

In this release of the product the vault is used for encrypting database passwords, bypassing the JAAS login module and resolving the performance issues.
Clone Of:
: 1069886 (view as bug list)
(edit)
Last Closed: 2014-06-28 15:27:53 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SECURITY-803 Major Resolved SecureIdentityLoginModule (and ConfiguredIdentityLoginModule) results are not cached by the JAAS cache 2016-06-27 09:54 UTC

Description Derek Horton 2014-02-25 20:55:59 UTC
Description of problem:

In EAP 6, when using the SecureIdentityLoginModule to encrypt datasource passwords, the results are not cached by the JAAS cache. In EAP 5, the results are cached. This can lead to a performance issue.

The root cause appears to be that the EAP 6 JAAS cache does not allow for a JAAS cache key to be null.

The issue only occurs when the application that uses the datasource is not secured. In this situation, the principal is null when isValid() and updateCache() are called. When the application is secured, the results are cached. I think it is working because the result of the SecureIdentityLoginModule are cached using the authenticated user's principal as the cache key.

Workaround:
Use vault for encrypting the database password. This does not use a JAAS login module so the JAAS cache and login module are completely avoided.

Comment 1 JBoss JIRA Server 2014-03-06 22:44:59 UTC
Derek Horton <dhorton@redhat.com> updated the status of jira SECURITY-803 to Resolved

Comment 5 Hynek Mlnarik 2014-05-14 15:54:35 UTC
Verified in 6.3.0.ER4


Note You need to log in before you can comment on or make changes to this bug.